### Virtual Method

# Ide Runtime translate_file

#### Declaration

    GFile*
    translate_file (
      IdeRuntime* self,
      GFile* file
    )

#### Description

Translates the file from a path within the runtime to a path that can be accessed from the host system.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GFile`
| A `GFile`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.